### Method

# Ggit RevisionWalker push_glob

#### Declaration [src]

    void
    ggit_revision_walker_push_glob (
      GgitRevisionWalker* walker,
      const gchar* item,
      GError** error
    )

#### Description [src]

Push all OIDs pointed to by references that match the given glob pattern to the revsision walker. A leading ‘refs/’ is implied if not present, as well as a trailing ‘/ \ ‘ if the glob lacks ‘?’, ‘\ ‘ or ‘[‘.

#### Parameters

`item`

  Type: `const gchar*`

  The glob to push.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.